﻿using Apaya.Connector.Template.Webhook;
using System;


namespace Apaya.Connector.Template.Helpers
{
    public static class Environment
    {
        public static string GetEnvironmentUrl(string prodUrl, string SandboxUrl)
        {
            var environment = System.Environment.GetEnvironmentVariable("ASPNETCORE_ENVIRONMENT") ?? string.Empty;

            if (!string.IsNullOrEmpty(environment) && environment == "Production")
                return prodUrl;

            return SandboxUrl;
        }

        public static string GetWebhookEnvironmentUrl()
        {
            var environment = System.Environment.GetEnvironmentVariable("ASPNETCORE_ENVIRONMENT")?.ToLower() ?? string.Empty;

            if (string.IsNullOrEmpty(environment))
                return WebhooksUrl.BaseTestUrl;

            switch (environment)
            {
                case "development":
                    return WebhooksUrl.BaseDevUrl;
                case "test":
                    return WebhooksUrl.BaseTestUrl;
                case "sandbox":
                    return WebhooksUrl.BaseSandboxUrl;
                case "production":
                    return WebhooksUrl.BaseProductionUrl;
                default:
                    return WebhooksUrl.BaseTestUrl;
            }
        }
    }
}
