using System.Reflection;
using System.Text.Json.Serialization;

namespace Apaya.Connector.Template.Helpers.SignatureHelper
{
    public static class ReflectionExtensions
    {
        public static string GetJsonPropertyName(this MemberInfo prop)
        {
            JsonPropertyNameAttribute[] customAttributes =
                (JsonPropertyNameAttribute[])prop.GetCustomAttributes(typeof(JsonPropertyNameAttribute), true);
            return customAttributes.Length != 0 ? customAttributes[0].Name : prop.Name;
        }

        public static bool GetJsonPropertyIgnoreSignatureValidation(this MemberInfo prop) =>
            ((IgnoreOnSignatureCalculationAttribute[])prop.GetCustomAttributes(
                typeof(IgnoreOnSignatureCalculationAttribute), false)).Length != 0;
    }
}
