using System;
using System.Collections.Generic;

namespace Apaya.Connector.Template.Helpers.SignatureHelper
{
    public static class TypeExtensionMethods
    {
        public static bool IsSimpleObject(this Type type) => type.IsPrimitive || type == typeof(string) ||
                                                             Nullable.GetUnderlyingType(type) != (Type)null;

        public static bool IsListObject(this Type type) => typeof(IEnumerable<>).IsAssignableFrom(type);
    }
}