﻿using Newtonsoft.Json;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Apaya.Connector.Template.Models
{

    public class Address
    {
        public string country { get; set; }
        public string city { get; set; }
        public string avenue { get; set; }
        public string street { get; set; }
        public string line1 { get; set; }
    }

    public class Reference
    {
        [JsonProperty(PropertyName = "transaction")]
        public string transaction { get; set; }

        [JsonProperty(PropertyName = "order")]
        public string order { get; set; }
    }

    //public class Metadata
    //{
    //    public string udf1 { get; set; }
    //}


    public class Receipt
    {
        [JsonProperty(PropertyName = "email")]
        public bool email { get; set; }

        [JsonProperty(PropertyName = "sms")]
        public bool sms { get; set; }
    }

    public class Customer
    {
        [JsonProperty(PropertyName = "id")]
        public string id { get; set; }

        [JsonProperty(PropertyName = "first_name")]
        public string first_name { get; set; }

        [JsonProperty(PropertyName = "last_name")]
        public string last_name { get; set; }

        [JsonProperty(PropertyName = "email")]
        public string email { get; set; }

        [JsonProperty(PropertyName = "phone")]
        public Phone phone { get; set; }
    }

    public class Phone
    {
        [JsonProperty(PropertyName = "country_code")]
        public string country_code { get; set; }

        [JsonProperty(PropertyName = "number")]
        public string number { get; set; }
    }

    public class Source
    {
        [JsonProperty(PropertyName = "_object")]
        public string _object { get; set; }

        [JsonProperty(PropertyName = "id")]
        public string Id { get; set; }
    }

    public class Redirect
    {
        [JsonProperty(PropertyName = "status")]
        public string Status { get; set; }

        [JsonProperty(PropertyName = "url")]
        public string Url { get; set; }
    }

    public class Post
    {
        [JsonProperty(PropertyName = "status")]
        public string Status { get; set; }

        [JsonProperty(PropertyName = "url")]
        public string Url { get; set; }
    }
}
