﻿using Newtonsoft.Json;
using System;


namespace Apaya.Connector.Template.Models.Charge
{
    // Example Connector response payload and sub objects
    public class ChargeResponse
    {
        public string id { get; set; }
        public string _object { get; set; }
        public bool live_mode { get; set; }
        public string api_version { get; set; }
        public string method { get; set; }
        public string status { get; set; }
        public decimal amount { get; set; }
        public string currency { get; set; }
        public bool threeDSecure { get; set; }
        public bool card_threeDSecure { get; set; }
        public bool save_card { get; set; }
        public string merchant_id { get; set; }
        public string product { get; set; }
        public string description { get; set; }
        public Dictionary<string,string> metadata { get; set; }
        public Transaction transaction { get; set; }
        public Reference reference { get; set; }
        public Response response { get; set; }
        public Receipt receipt { get; set; }
        public Customer customer { get; set; }
        public Merchant merchant { get; set; }
        public Source source { get; set; }
        public Redirect redirect { get; set; }
        public Post post { get; set; }
        public Activity[] activities { get; set; }
        public bool auto_reversed { get; set; }
    }

    public class Transaction
    {
        public string timezone { get; set; }
        public string created { get; set; }
        public string url { get; set; }
        public Expiry expiry { get; set; }
        public bool asynchronous { get; set; }
        public decimal amount { get; set; }
        public string currency { get; set; }
    }

    public class Expiry
    {
        public int period { get; set; }
        public string type { get; set; }
    }

    public class Response
    {
        public string code { get; set; }
        public string message { get; set; }
    }

    public class Merchant
    {
        [JsonProperty(PropertyName = "id")]
        public int Id { get; set; }
    }

    public class Activity
    {
        public string id { get; set; }
        public string _object { get; set; }
        public long created { get; set; }
        public string status { get; set; }
        public string currency { get; set; }
        public decimal amount { get; set; }
        public string remarks { get; set; }
    }
}
