﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace Apaya.Connector.Template.Models.Tokens
{
    // Example Connector response payloads
    public class CardTokenResponse
    {
        [JsonProperty(PropertyName = "id")]
        public string id { get; set; }

        [JsonProperty(PropertyName = "created")]
        public long created { get; set; }

        [JsonProperty(PropertyName = "object")]
        public string _object { get; set; }

        [JsonProperty(PropertyName = "live_mode")]
        public bool live_mode { get; set; }

        [JsonProperty(PropertyName = "type")]
        public string type { get; set; }

        [JsonProperty(PropertyName = "used")]
        public bool used { get; set; }

        [JsonProperty(PropertyName = "card")]
        public CardTokenResponseObject card { get; set; }
    }

    public class CardTokenResponseObject
    {
        [JsonProperty(PropertyName = "id")]
        public string id { get; set; }

        [JsonProperty(PropertyName = "object")]
        public string _object { get; set; }

        [JsonProperty(PropertyName = "address")]
        public Address address { get; set; }

        [JsonProperty(PropertyName = "funding")]
        public string funding { get; set; }

        [JsonProperty(PropertyName = "fingerprint")]
        public string fingerprint { get; set; }

        [JsonProperty(PropertyName = "brand")]
        public string brand { get; set; }

        [JsonProperty(PropertyName = "scheme")]
        public string scheme { get; set; }

        [JsonProperty(PropertyName = "name")]
        public string name { get; set; }

        [JsonProperty(PropertyName = "issuer")]
        public Issuer issuer { get; set; }

        [JsonProperty(PropertyName = "exp_month")]
        public int exp_month { get; set; }

        [JsonProperty(PropertyName = "exp_year")]
        public int exp_year { get; set; }

        [JsonProperty(PropertyName = "last_four")]
        public string last_four { get; set; }

        [JsonProperty(PropertyName = "first_six")]
        public string first_six { get; set; }
    }

    public class Issuer
    {
        [JsonProperty(PropertyName = "bank")]
        public string bank { get; set; }

        [JsonProperty(PropertyName = "country")]
        public string country { get; set; }

        [JsonProperty(PropertyName = "id")]
        public string id { get; set; }
    }
}
