using Apaya.Connector.Core.Actions;
using Apaya.Connector.Core.Configuration;
using Apaya.Connector.Core.Plugin;

namespace Apaya.Connector.Template
{
    public class TemplatePlugin : IConnectorPlugin
    {
        //Example Main Connector Plugin class
        public RequiredConnectorConfiguration GetRequiredConnectorConfiguration()
        {
            // What Merchant Connector Configuration keys are required - Just SecretKey here
            return new RequiredConnectorConfiguration()
            {
                Merchant = new[]
                {
                    new RequiredConfigurationEntry()
                        { Description = "SecretKey", DisplayLabel = "SecretKey", IsRequired = true, Key = "SecretKey" }
                },
            };
        }

        public string ConnectorName { get; } = "Template";
        public ConnectorPluginMetadata Metadata { get; } = new ConnectorPluginMetadata()
        {
            Author = "Apaya-Coder", Description = "Template Connector Implementation", Version = "1.0.0"
        };

        public IEnumerable<ConnectorAction> SupportedActions { get; } = new[]
        {
            // What Actions this connector can handle
            ConnectorAction.ProcessPayment, ConnectorAction.CapturePayment, ConnectorAction.VoidPayment, ConnectorAction.GetTransaction, ConnectorAction.ProcessRefund
        };

        public bool HasWebhookSupport { get; } = true;
    }
}