# Introduction 
Apaya is a payments Orchestration platform linking Merchants to multiple payment providers through one link. This code template example
is to be used by third party connectors or developers to aid development of connector integrations between Apaya and third party Payment Providers.

This Example Template solution includes the following:

1.	Connector Template Project
2.	Connector Test Project

The Connector Template Project is an example of a connector plugin that enables Apayas generic connector API to link / integrate 
into a specific connectors API. You can use this example to develope specific plugins for specific Connectors.

The Connector Test Project is an example test harness to enable you to test your logic / connections to the specific connector.

# Getting Started
1.	Create a copy of this solution and rename files where appropriate to the specific connector you are coding.
2.	Within the Connector Template Project, specific configuration keys will be required so the main TemplatePlugin file would change 
	to include all the specific required keys (e.g. apiKey, Password etc) and also to set the name of your connector plugin.
3.	Change TemplatePlugin name to the specific connector/provider name -> ConnectorPlugin.
4.	The Models folder holds all the various request/response payload schemas, and is a key area you would change to match the schemas of
	the specific connector being developed.
5.	Within the Test Project, amend the example data values (as likely to need changing) to match test runs that you do to the connector. 
	Especially when checking / updating previous transactions, the relevant ids would need to match.
6.	Once tested and happy it works, package up the build and source code and send to us.


# Build and Test
Build your amended version of these C# projects and test your integration.

# Contribute
Please use this example as the starting point to develope connector integrations between Apaya and third party payment providers.

Contact Apaya for more details. support@apaya.io.



